NONA("1")

NAME
nona - Stitch a panorama image

SYNOPSIS
nona [options] -o output project_file (image files)

DESCRIPTION
nona uses the transform function from PanoTools, the stitching itself is quite simple, no seam feathering is done.

Only the non-antialiasing interpolators of PanoTools are supported.

The following output formats (n option of PanoTools p script line) are supported:

JPEG, TIFF, PNG  : Single image formats without feathered blending
JPEG_m, TIFF_m, PNG_m   : multiple tiff files
TIFF_multilayer : Multilayer tiff files, readable by The Gimp 2.0

OPTIONS
General options:

-c  Create coordinate images (only TIFF_m output)

-v  Quiet, do not output progress indicators

-d  print detailed output for GPU processing

-g  perform image remapping on the GPU

The following options can be used to override settings in the project file:

-i num
    Remap only image with number num (can be specified multiple times)

-m str
    Set output file format (TIFF, TIFF_m, TIFF_multilayer, EXR, EXR_m, JPEG, JPEG_m, PNG, PNG_m)

-r ldr/hdr
    Set output mode:

    ldr - keep original bit depth and response
    hdr - merge to hdr
-e exposure
    Set exposure for ldr mode

-p TYPE
    Pixel type of the output. Can be one of:

    UINT8   8 bit unsigned integer
    UINT16  16 bit unsigned integer
    INT16   16 bit signed integer
    UINT32  32 bit unsigned integer
    INT32   32 bit signed integer
    FLOAT   32 bit floating point
-z|--compression
    Set compression type. Possible options for tiff output:

    NONE      no compression
    PACKBITS  packbits compression
    LZW       LZW compression
    DEFLATE   deflate compression
        For JPEG output set quality number

--ignore-exposure
    Don't correct exposure. (This doesn't work with the -e switch)

--save-intermediate-images
    Saves also the intermediate images (only when output is is TIFF, PNG or JPEG)

--intermediate-suffix=SUFFIX
    Suffix for intermediate images

--create-exposure-layers
    Create all exposure layers (this will always use TIFF)

--clip-exposure[=lower cutoff:upper cutoff]
    Mask automatically all dark and bright pixels. Optionally you can specify the limits for the lower and upper cutoff (specify in range 0...1, relative the full range)

AUTHORS
Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson and Brent Townshend.

This man page was written by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> and updated by Terry Duell and is licensed under the same terms as the hugin package itself.